### Method

# Gtk Gesture set_state

#### Declaration [src]

    gboolean
    gtk_gesture_set_state (
      GtkGesture* gesture,
      GtkEventSequenceState state
    )

#### Description [src]

Sets the state of all sequences that `gesture` is currently interacting with.

See gtk_gesture_set_sequence_state() for more details on sequence states.

#### Parameters

`state` | `GtkEventSequenceState`
| The sequence state.

#### Return value

Returns: | `gboolean`
| `TRUE` if the state of at least one sequence was changed successfully.